<?php
include_once '../../core/core.php';
require_once '../../core/WorldKassa.php';
$status = 1;
$yes = 0;
#@echo json_encode($_POST);
if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) && isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) && isset($_POST['summa']) && is_numeric($_POST['summa']) && isset($_POST['hash'])){
	$lastError = "";
	$id = ($_POST['id_shop']);
	$pid = ($_POST['id_bill']);
	$summa = ($_POST['summa']);
	$hash = $_POST["hash"];
	if ($db->Count("worldkassa","WHERE `pid` = '".$pid."'") != 0){
		$pay = $db->getAssoc("SELECT * FROM `worldkassa` WHERE `pid` = '".$pid."'");
		if ($pay["summa"] != $summa){
			$status = 2;
			$lastError .= "Попытка подмена баланса, с Базы информация о ".$pay["summa"].", а получили: ".$summa."<br>";
			echo "Попытка подмена баланса, с Базы информация о ".$pay["summa"].", а получили: ".$summa."<br>";
		}
		$wk = new WorldKassa($db);
		
		if (!$wk->checkHash($hash,$pid,$summa)){
			$status = 2;
			$lastError .= "Хеш не совпадает ".$hash;
			echo "Хеш не совпадает ".$hash;
		}
		
		if ($lastError == ""){
			$db->Query("UPDATE `sites` SET `balance` = `balance`+'".$summa."' WHERE `id` = '".$pay["sid"]."'");
			$status = 1;
			echo 'YES';
			$yes = 1;
			
		}
		$db->Query("UPDATE `worldkassa` SET `status`='".$status."',`lastError` = '".$lastError."' WHERE `wid` = '".($pay["wid"])."'");
	}
}
if ($yes != 1){
	echo "ERROR";
}
?>